Name:           perl-ExtUtils-MakeMaker-Coverage
Version:        0.05
Release:        3%{?dist}
Summary:        Allows perl modules to check test coverage with Devel::Cover

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/ExtUtils-MakeMaker-Coverage/
Source0:        http://search.cpan.org/CPAN/authors/id/S/SM/SMPETERS/ExtUtils-MakeMaker-Coverage-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  perl(ExtUtils::MakeMaker), perl(Object::Accessor)
BuildRequires:  perl(Test::More), perl(Test::Pod), perl(Test::Pod::Coverage)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module adds an additional target to the Makefile generated by
ExtUtils::MakeMaker. The target, testcover, calls cover, the
command-line script to generate test coverage statistics, to clean up
any data from a previous run. It then runs the tests, as if make test
was run, then calls cover again to generate the coverage statistics.


%prep
%setup -q -n ExtUtils-MakeMaker-Coverage-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/ExtUtils/MakeMaker/Coverage.pm
%{_mandir}/man3/*.3*
%{_bindir}/testcover

%changelog
* Mon Aug 20 2007 Robin Norwood <rnorwood@redhat.com> - 0.05-3
- More BR's: perl(Test::Pod) and perl(Test::Pod::Coverage)

* Fri Aug 17 2007 Robin Norwood <rnorwood@redhat.com> - 0.05-2
- Add missing BuildRequires: perl(Test::More)

* Mon Aug 13 2007 Robin Norwood <rnorwood@redhat.com> - 0.05-1
- Initial build
